[file=folder]
{.set|mask|{:{.match|jpg;png;gif|%item-ext%.}:}.}
<tr id="%item-url%" {.if|{.^mask.}|class="media".}><td style="width:72px">
<img src= {.if|{.^mask.}|"thumb/%item-url%" style="width:64px;height:64px;object-fit:cover" onclick='show|"%item-icon%" onclick='location=.}("%item-url%")' alt="&#x1f304;" title="%item-name%" /></td>

[+file=+folder]
<td style="text-align:initial">
<div><a href="%item-url%" style="color:black; font-size:16px">%item-name%</a></div>
<div title="%item-comment%">%item-modified% {.if|{.get|is new.}|&#x1F195;.}</div>
<div title="%item-dl-count%">{.or|%item-size%|.}</div>
</td>
<td style="width:72px;text-align:center">
<input type="checkbox" class='selector' name='selection' value="%item-url%" {.if not|{.or|{.get|can delete.}|{.get|can access.}|{.get|can archive item.}.}|disabled='disabled'.} ></td>
</tr>

[list]
<div id='files_outer'>
	<div style='height:1.6em;'></div>

	{.if not| %number% |{: <div style='font-size:200%; padding:1em;'>{.!No {.if|{.length|{.?search.}.}|results|files.}.}</div> :}|{:
        <form method='post'>
<table id='files' style="width:100%; border-spacing:0px 1px; font-family:Helvetica">
<tr>
<th><a id="menu">&#x2261;</a>
<th><select onchange='location=this.value'>
<option {.if|{.=|{.urlvar|sort.}|n.}|selected.} value="{.get|url|sort=n|rev={.?sort=n.}.}">Name</option>
<option {.if|{.=|{.urlvar|sort.}|s.}|selected.} value="{.get|url|sort=s|rev={.?sort=s.}.}">Size</option>
<option {.if|{.=|{.urlvar|sort.}|t.}|selected.} value="{.get|url|sort=t|rev={.?sort=t.}.}">Timestamp</option>
<option value="{.get|url|rev={.not|{.?rev.}.}.}">order &{.if|{.?rev.}|u|d.}arr;</option>
</select><th>{.if|{.get|can upload.}|{:<a href='upload_thumbnail2.3.htm'>&#x21e7;</a>:}.}
</tr>
%list%
</table>
        </form>
	:}.}
</div>

<script>
(function() {
  var menu = document.getElementById("menu")
  menu.onclick = function(ev) {
    var pan = document.getElementById("panel");
    pan.style.display = pan.style.display ? "" : "none";
    document.getElementById("files_outer").style.overflow = pan.style.display ? "initial" : "auto"
  }
  if (window.innerWidth < 640) menu.click()  //if template is slow remove this line
})();
</script>

<script>  //pictureviewer
function show(that) {
  if (!document.getElementById("modal")) {
    var tmp = document.createElement("img"), t
    tmp.id = "modal"
    tmp.style = 'position:fixed;top:0px;max-height:100vh;image-orientation:from-image';
    tmp.oncontextmenu = function() {t=setInterval(function(){show((document.getElementById(document.getElementById("modal").title).nextElementSibling||document.querySelector(".media"))["id"])},{.urlvar|dur.}000||5000)}
    tmp.alt = "x"
    tmp.onclick = function(evt) {
      var tmp = document.getElementById(this.title).nextElementSibling
      if (evt.clientX < 20 || !tmp) {this.style.display = "none"; clearInterval(t)}  // |o<-- cancel next -->o|
      else {if(t) this.webkitRequestFullscreen(); else show(tmp.id)}
    }
    document.body.appendChild(tmp)

tmp.addEventListener("touchstart", function(evt) { xDown = evt.touches[0].clientX; yDown = evt.touches[0].clientY })
tmp.addEventListener("touchmove", function(evt) { event.preventDefault(); if (!xDown || !yDown || evt.touches.length > 1) return
  var xUp = evt.touches[0].clientX, yUp = evt.touches[0].clientY, xDiff = xDown - xUp, yDiff = yDown - yUp
  if (Math.abs(xDiff) > Math.abs(yDiff)) {  //swipe
    if (xDiff > 0) { show(document.getElementById(this.title).nextElementSibling.id) } // <--
    else { show(document.getElementById(this.title).previousElementSibling.id) } // -->
  } else {
    if (yDiff > 0) { this.style.display = "none"; clearInterval(t) } //up
    else { this.requestFullscreen? this.requestFullscreen():this.webkitRequestFullscreen() } //down
  }
  xDown = null; yDown = null
})
   
  }
  
  var mod = document.getElementById("modal"), img = new Image()  //preload
  mod.style.display = ""
  mod.title = that
  var tmp=document.getElementById(that); if(tmp.className) {mod.src = that; img.src=tmp.nextElementSibling.id} else show(tmp.nextElementSibling.id)
}
</script>

[box panel]
<script>
(function() {
//add viewport to head
 var tmp = document.createElement("meta");
  tmp.name = 'viewport';
  tmp.content = 'width=device-width';
  document.head.appendChild(tmp)

  var tmp = document.createElement('style');
  tmp.innerHTML = 'tr:hover td {background: #EEE} \ntd div[title] {opacity:.54; font-size:14px; display:inline-block} \ntd div:nth-child(2) {width:200px} \ntd div:nth-child(3) {width:100px}';
  document.head.appendChild(tmp)
{.if|{.urlvar|view.}|tmp.innerHTML += ' \n#files tr {display:inline;background:initial} \n#files tr:first-child, td:nth-child(2), td:nth-child(3) {display:none}'.}  // /?view
})();
</script>

<div id='panel'>
    {.$box messages.}
    {.$box login.}
    {.$box folder.}
    {.$box search.}
    {.$box selection.}
    {.$box upload.}
    {.$box actions.}
    {.$box server info.}
</div>